package java3d;

import java.util.Collection;
import java.util.HashSet;

import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.NativeCapableModuleBuilder;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.NativeCapableApplet;
import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.NativeCapableModule;

public class Java3DTestApplet extends NativeCapableApplet {

	/**
	 * SerialVersionUID
	 */
	private static final long serialVersionUID = -1615255973378481892L;

	@Override
	public void init() {

		NativeCapableModuleBuilder builder = new NativeCapableModuleBuilder(
				this, "java3d.Java3DTestModule");

		Collection<String> col = new HashSet<String>();
		col.add("javax.media.j3d.");
		col.add("com.sun.j3d.");
		col.add("java3d.");
		builder.setTargetPackages(col);
		builder.setDelegateTargets(false);

		NativeCapableModule module = builder.newModule();
		module.initModule();

		add(module.getRootComponent());

		setName("Java3D Applet Test");
	}

}
